version: '3.1'

services:

  php:
    build:
      context: .
      dockerfile: Dockerfile-php
    volumes:
      - ./:/var/www/html/
    working_dir: /var/www/html

  nginx:
    build:
      context: .
      dockerfile: Dockerfile-nginx
    ports:
      - 8000:80
    volumes:
      - ./:/var/www/html/
    working_dir: /var/www/html

  db:
    image: postgres:13.3
    ports:
    - 5434:5432
    environment:
      POSTGRES_DB: tani_rgd
      POSTGRES_USER: tani_rgd
      POSTGRES_PASSWORD: tani_rgd
